<template>
    <button
        class="button" 
        type="button">
        <slot></slot>
    </button>
</template>

<style>
button,
button:hover,
button:active {
    position: relative;
    display: inline-block;
    padding: 0;
    margin-bottom: 0;
    height: 3rem;
    width: 100%;
		
    font-size: 1em;
    font-weight: normal;
    line-height: 1em;
    text-align: center;
    vertical-align: middle;
    white-space: nowrap;

    cursor: pointer;
    outline: 0;

    color: rgb(0, 0, 0);
    background-color: transparent;
    border: 0 none;
    border-radius: 0;
}

.button,
.button:hover,
.button:active {
    color: hsla(160, 100%, 37%, 1);
    background-color: hsla(0, 100%, 100%, 0.2);
    border: 2px solid hsla(160, 100%, 37%, 1);
    padding: 0.5rem 12px;
    border-radius: 0.5rem;
    font-weight: bold;
    text-transform: uppercase;
}

.button:hover {
    background-color: hsla(160, 100%, 37%, 1);
    color: rgb(255, 255, 255);
}

.button.button--secondary {
    background-color: transparent;
    border: 0 none;
    color: hsla(160, 100%, 37%, 1);
    text-decoration: underline;
}

@media (min-width: 480px) {

    button,
    button:hover,
    button:active {
        width: auto;
    }
}
</style>